> ## Documentation Index
> Fetch the complete documentation index at: https://microstrate-1133-notifications-prefs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Workflow or Node collection

> Updates an existing collection's properties



## OpenAPI

````yaml /api-reference/endpoint/hub-flows/openapi.json patch /hub/collections/{collection_type}/{collection_topic}
openapi: 3.0.0
info:
  title: quiva.ai Gateway
  description: API for managing collections, nodes, and workflows in quiva.ai Hub
  version: 0.1.0
  contact:
    name: quiva.ai Support
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Collections
    description: Operations related to collections
  - name: Nodes
    description: Operations related to nodes
  - name: Workflows
    description: Operations related to workflows
  - name: Oauth
    description: Oauth configurations and connections
paths:
  /hub/collections/{collection_type}/{collection_topic}:
    parameters:
      - $ref: '#/components/parameters/collectionType'
      - $ref: '#/components/parameters/collectionTopic'
    patch:
      tags:
        - Collections
      summary: Update a Workflow or Node collection
      description: Updates an existing collection's properties
      operationId: updateFlowOrNodeCollection
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCollectionRequest'
            examples:
              UpdateDescription:
                summary: Update collection description
                value:
                  subject: ms.hub.config.collection.node.805092869
                  description: >-
                    Updated: Payment and billing node templates for all
                    transaction types
              ClearDescription:
                summary: Clear collection description
                value:
                  subject: ms.hub.config.collection.workflow.1508781670
                  description: ''
      responses:
        '200':
          description: Collection updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
              example:
                message: success
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                SubjectRequired:
                  value:
                    error: a subject is required
        '404':
          description: Collection not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error: collection does not exists
components:
  parameters:
    collectionType:
      name: collection_type
      in: path
      description: >-
        List only 'node' or only 'workflow' collections. If this parameter is
        omitted, both will be listed
      required: false
      schema:
        type: string
        enum:
          - node
          - workflow
      example: node
    collectionTopic:
      name: collection_topic
      in: path
      description: >-
        The topic is a hash of the name that was used when a collection was
        created
      required: true
      schema:
        type: string
      example: '1234567890'
  schemas:
    UpdateCollectionRequest:
      type: object
      required:
        - subject
      properties:
        subject:
          type: string
          description: Subject of the collection to update
        description:
          type: string
          description: Updated description of the collection
    SuccessResponse:
      type: object
      properties:
        message:
          type: string
          description: Success message
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````